PaidGoods
API referenceMarketing

Get an automation

GET
/v1/stores/{storeId}/marketing/automations/{automationId}

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
automationId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/marketing/automations/string"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "trigger": "welcome",  "state": "active",  "winBackDays": -9007199254740991,  "steps": [    {      "delayMinutes": 0,      "subject": "string",      "bodyHtml": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "position": -9007199254740991    }  ],  "sentCount": -9007199254740991,  "activeRuns": -9007199254740991,  "createdAt": "string",  "updatedAt": "string"}